Overview | Modules | Class Hierarchy | Classes | Members

# tlp::CoordVectorProperty Class Reference
[Properties]

`#include <LayoutProperty.h>`

Inherits tlp::AbstractProperty< CoordVectorType, CoordVectorType >.

Inheritance diagram for tlp::CoordVectorProperty:

[legend]
Collaboration diagram for tlp::CoordVectorProperty:

[legend]
List of all members.

## Public Member Functions

- CoordVectorProperty (Graph *g, std::string n="")
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- void copy (const node, const node, PropertyInterface *)
- void copy (const edge, const edge, PropertyInterface *)

## Constructor & Destructor Documentation

tlp::CoordVectorProperty::CoordVectorProperty | ( | Graph * | g,
|  | std::string | n = `""`
| ) | `[inline]`

## Member Function Documentation

PropertyInterface* tlp::CoordVectorProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) | `[virtual]`

| Implements tlp::PropertyInterface.

void tlp::CoordVectorProperty::copy | ( | const | edge,
|  | const | edge,
|  | PropertyInterface * |
| ) | `[virtual]`

| Implements tlp::PropertyInterface.

void tlp::CoordVectorProperty::copy | ( | const | node,
|  | const | node,
|  | PropertyInterface * |
| ) | `[virtual]`

| Implements tlp::PropertyInterface.

Tulip Software by LaBRI Visualization Team 2001 - 2010